package ui

import "github.com/charmbracelet/lipgloss"

const (
	COLOR_BORDER     = COLOR_DARK_GRAY //lipgloss.Color("#7D56F4")
	COLOR_GREEN      = lipgloss.Color("#00ff87")
	COLOR_YELLOW     = lipgloss.Color("#fff95b")
	COLOR_CYAN       = lipgloss.Color("#5bfff9")
	COLOR_DARK_GRAY  = lipgloss.Color("#555")
	COLOR_GRAY       = lipgloss.Color("#aaa")
	COLOR_LIGHT_GRAY = lipgloss.Color("#cccccc")
	COLOR_WHITE      = lipgloss.Color("#fefefe")
	COLOR_RED        = lipgloss.Color("#ff0000")
	COLOR_ORANGE     = lipgloss.Color("#f58216")
	COLOR_MAGENTA    = lipgloss.Color("#c000c0")
)

var (
	boxStyle = lipgloss.NewStyle().
			BorderStyle(lipgloss.RoundedBorder()).
			BorderForeground(COLOR_BORDER).
			Padding(0, 1)

	headerBoxStyle = lipgloss.NewStyle().
			Foreground(COLOR_CYAN).
			BorderStyle(lipgloss.RoundedBorder()).
			BorderForeground(COLOR_BORDER).
			Padding(0, 1)

	titleStyle = lipgloss.NewStyle().
			Foreground(COLOR_GREEN).
			Bold(true)

	modeStyle = lipgloss.NewStyle().
			Foreground(COLOR_YELLOW).
			PaddingRight(1)

	rulesetStyle = lipgloss.NewStyle().
			Foreground(COLOR_ORANGE)

	addressStyle = lipgloss.NewStyle().
			Foreground(COLOR_MAGENTA).
			Bold(true).
			PaddingLeft(1)

	inputStyle = lipgloss.NewStyle().
			Foreground(COLOR_WHITE).
			BorderStyle(lipgloss.RoundedBorder()).
			BorderForeground(COLOR_BORDER).
			Padding(0, 1)

	logStyle = lipgloss.NewStyle().
			Foreground(COLOR_WHITE).
			Padding(0, 1)

	msgInfoStyle = lipgloss.NewStyle().
			Foreground(COLOR_CYAN)

	msgErrorStyle = lipgloss.NewStyle().
			Foreground(COLOR_RED)

	msgSuccessStyle = lipgloss.NewStyle().
			Foreground(COLOR_GREEN)
)
